# Uses of Class
net.shibboleth.idp.authn.principal.GenericPrincipalSerializer

Packages that use GenericPrincipalSerializer
Package
Description
net.shibboleth.idp.authn.impl
Implementation of various authentication actions.

## Uses of GenericPrincipalSerializer in net.shibboleth.idp.authn.impl

Fields in net.shibboleth.idp.authn.impl declared as GenericPrincipalSerializer
Modifier and Type
Field
Description
`private final GenericPrincipalSerializer`
DefaultAuthenticationResultSerializer.`genericSerializer`
Generic principal serializer for any unsupported principals.
Methods in net.shibboleth.idp.authn.impl that return GenericPrincipalSerializer
Modifier and Type
Method
Description
`GenericPrincipalSerializer`
DefaultAuthenticationResultSerializer.`getGenericPrincipalSerializer()`
Returns the `GenericPrincipalSerializer` used for any unsupported principals found in the `AuthenticationResult`.
Constructors in net.shibboleth.idp.authn.impl with parameters of type GenericPrincipalSerializer
Modifier
Constructor
Description
``
`DefaultAuthenticationResultSerializer(PrincipalServiceManager manager, GenericPrincipalSerializer defaultSerializer)`
Constructor.